Serialized Form


Package wicket

Class wicket.ApplicationSettings.RenderStrategy extends EnumeratedType implements Serializable

Class wicket.ApplicationSettings.UnexpectedExceptionDisplay extends EnumeratedType implements Serializable

Class wicket.AttributeModifier extends java.lang.Object implements Serializable

Serialized Fields

next

AttributeModifier next
The next attribute modifier in any chain


addAttributeIfNotPresent

boolean addAttributeIfNotPresent
Whether to add the attribute if it is not an attribute in the markup.


attribute

java.lang.String attribute
Attribute specification.


enabled

boolean enabled
Modification information.


pattern

java.lang.String pattern
The pattern.


replaceModel

IModel replaceModel
The model that is to be used for the replacement.

Class wicket.AutoLinkResolver.AutolinkBookmarkablePageLink extends BookmarkablePageLink implements Serializable

Class wicket.AutoLinkResolver.AutolinkExternalLink extends ExternalLink implements Serializable

Class wicket.Component extends java.lang.Object implements Serializable

Serialized Fields

attributeModifiers

AttributeModifier attributeModifiers
List of AttributeModifiers to be applied for this Component


flags

short flags
Component flags. See FLAG_* for possible non-exclusive flag values.


id

java.lang.String id
Component id.


model

IModel model
The model for this component.


parent

MarkupContainer parent
Any parent container.

Class wicket.Component.ComponentModelChange extends Change implements Serializable

Serialized Fields

model

IModel model
former model.

Class wicket.Component.VisibilityChange extends Change implements Serializable

Serialized Fields

component

Component component
subject.


isVisible

boolean isVisible
former value.

Class wicket.FeedbackMessage extends java.lang.Object implements Serializable

Serialized Fields

level

int level
The message level; can be used by rendering components. Note that what actually happens with the level indication is totally up to the components that render messages like these. The default level is UNDEFINED.


message

java.lang.String message
The actual message.


reporter

Component reporter
The reporting component.

Class wicket.FeedbackMessages extends java.lang.Object implements Serializable

Serialized Fields

messages

java.util.List messages
Holds a list of FeedbackMessages.

Class wicket.FeedbackMessagesModel extends AbstractDetachableModel implements Serializable

Serialized Fields

includeNestedComponents

boolean includeNestedComponents
Whether to include the messages of any nested component.


collectingComponent

Component collectingComponent
Optional collecting component. When this is not set explicitly, the first occurence of IFeedbackBoundary will be searched for higher up in the run-time hierarchy.


sortingComparator

java.util.Comparator sortingComparator
Comparator used for sorting the messages.

Class wicket.MarkupContainer extends Component implements Serializable

Serialized Fields

childForId

java.util.Map childForId
Map of children by id.

Class wicket.Page extends MarkupContainer implements Serializable

Serialized Fields

autoIndex

int autoIndex
Used to create page-unique numbers


feedbackMessages

FeedbackMessages feedbackMessages
Feedback messages for this page


pageMapName

java.lang.String pageMapName
Name of PageMap that this page is stored in


versionManager

IPageVersionManager versionManager
Version manager for this page

Class wicket.PageMap extends java.lang.Object implements Serializable

Serialized Fields

interceptContinuationURL

java.lang.String interceptContinuationURL
URL to continue to after a given page.


name

java.lang.String name
Name of this page map


pageId

int pageId
Next available page identifier.

Class wicket.PageParameters extends ValueMap implements Serializable

Class wicket.PageState extends java.lang.Object implements Serializable

Serialized Fields

sequenceNumber

int sequenceNumber

pageMapName

java.lang.String pageMapName

Class wicket.Resource extends java.lang.Object implements Serializable

Serialized Fields

resourceStream

IResourceStream resourceStream
The actual raw resource this class is rendering


cacheable

boolean cacheable
True if this resource can be cached

Class wicket.ResourceReference extends java.lang.Object implements Serializable

Serialized Fields

locale

java.util.Locale locale
The locale of the resource


name

java.lang.String name
The name of the resource


scope

java.lang.Class scope
The scope of the named resource


style

java.lang.String style
The style of the resource

Class wicket.Session extends java.lang.Object implements Serializable

Serialized Fields

pageStateSequenceNumber

int pageStateSequenceNumber
Next available page state sequence number


locale

java.util.Locale locale
The locale to use when loading resources for this session.


pageMapForName

java.util.Map pageMapForName
Maps from name to page map


style

java.lang.String style
Any special "skin" style to use when loading resources.

Class wicket.WicketRuntimeException extends java.lang.RuntimeException implements Serializable


Package wicket.markup

Class wicket.markup.MarkupException extends WicketRuntimeException implements Serializable

Serialized Fields

markupStream

MarkupStream markupStream
The markup stream that was being parsed when the exception was thrown


Package wicket.markup.html

Class wicket.markup.html.StaticResource extends WebResource implements Serializable

Serialized Fields

absolutePath

java.lang.String absolutePath
The path to the resource


locale

java.util.Locale locale
The resource's locale


style

java.lang.String style
The resource's style

Class wicket.markup.html.StaticResourceReference extends ResourceReference implements Serializable

Class wicket.markup.html.WebComponent extends Component implements Serializable

Class wicket.markup.html.WebMarkupContainer extends MarkupContainer implements Serializable

Class wicket.markup.html.WebPage extends Page implements Serializable

Class wicket.markup.html.WebResource extends Resource implements Serializable


Package wicket.markup.html.basic

Class wicket.markup.html.basic.Label extends WebComponent implements Serializable

Class wicket.markup.html.basic.MultiLineLabel extends WebComponent implements Serializable


Package wicket.markup.html.border

Class wicket.markup.html.border.Border extends WebMarkupContainer implements Serializable

Class wicket.markup.html.border.BoxBorder extends Border implements Serializable


Package wicket.markup.html.debug

Class wicket.markup.html.debug.WicketComponentTree extends Panel implements Serializable


Package wicket.markup.html.form

Class wicket.markup.html.form.Button extends FormComponent implements Serializable

Class wicket.markup.html.form.CheckBox extends FormComponent implements Serializable

Class wicket.markup.html.form.DropDownChoice extends wicket.markup.html.form.AbstractSingleSelectChoice implements Serializable

Class wicket.markup.html.form.Form extends WebMarkupContainer implements Serializable

Class wicket.markup.html.form.FormComponent extends WebMarkupContainer implements Serializable

Serialized Fields

invalidInput

java.lang.String invalidInput
When the user input does not validate, this is a temporary store for the input he/she provided. We have to store it somewhere as we loose the request parameter when redirecting.


persistent

boolean persistent
Whether this form component should save and restore state between sessions. This is false by default.


validator

IValidator validator
The validator or validator list for this component.

Class wicket.markup.html.form.ImageButton extends Button implements Serializable

Serialized Fields

localizedImageResource

LocalizedImageResource localizedImageResource
The image resource this image component references

Class wicket.markup.html.form.ListChoice extends DropDownChoice implements Serializable

Serialized Fields

maxRows

int maxRows
The maximum number of rows to display.

Class wicket.markup.html.form.ListMultipleChoice extends wicket.markup.html.form.AbstractChoice implements Serializable

Class wicket.markup.html.form.PasswordTextField extends TextField implements Serializable

Serialized Fields

resetPassword

boolean resetPassword
Flag indicating whether the contents of the field should be reset each time it is rendered. If true, the contents are emptied when the field is rendered. This is useful for login forms. If false, the contents of the model are put into the field. This is useful for entry forms where the contents of the model should be editable, or resubmitted.

Class wicket.markup.html.form.RadioChoice extends wicket.markup.html.form.AbstractSingleSelectChoice implements Serializable

Class wicket.markup.html.form.RequiredTextField extends TextField implements Serializable

Class wicket.markup.html.form.TextArea extends wicket.markup.html.form.AbstractTextComponent implements Serializable

Class wicket.markup.html.form.TextField extends wicket.markup.html.form.AbstractTextComponent implements Serializable


Package wicket.markup.html.form.model

Class wicket.markup.html.form.model.ChoiceList extends java.lang.Object implements Serializable

Serialized Fields

list

java.util.List list
List of choices

Class wicket.markup.html.form.model.DetachableChoiceList extends ChoiceList implements Serializable


Package wicket.markup.html.form.persistence

Class wicket.markup.html.form.persistence.CookieValuePersister extends java.lang.Object implements Serializable


Package wicket.markup.html.form.upload

Class wicket.markup.html.form.upload.FileUpload extends java.lang.Object implements Serializable

Serialized Fields

item

org.apache.commons.fileupload.FileItem item

Class wicket.markup.html.form.upload.FileUploadField extends FormComponent implements Serializable

Serialized Fields

fileUpload

FileUpload fileUpload
The model for the uploaded file

Class wicket.markup.html.form.upload.UploadForm extends Form implements Serializable

Serialized Fields

maxSize

Bytes maxSize
Maximum size of an upload in bytes


Package wicket.markup.html.form.validation

Class wicket.markup.html.form.validation.AbstractValidator extends java.lang.Object implements Serializable

Serialized Fields

formComponent

FormComponent formComponent
The form component being validated

Class wicket.markup.html.form.validation.CustomValidator extends StringValidator implements Serializable

Class wicket.markup.html.form.validation.EmailAddressPatternValidator extends PatternValidator implements Serializable

Class wicket.markup.html.form.validation.FormComponentFeedbackBorder extends Border implements Serializable

Serialized Fields

errorIndicator

wicket.markup.html.form.validation.FormComponentFeedbackBorder.ErrorIndicator errorIndicator
The error indicator child which should be shown if an error occurs.


collectingComponent

Component collectingComponent
Optional collecting component. When this is not set explicitly, the children of this border will be used for searching for components.


visible

boolean visible
visible property cache.

Class wicket.markup.html.form.validation.IntegerValidator extends StringValidator implements Serializable

Serialized Fields

max

long max
Upper bound on valid decimal number.


min

long min
Lower bound on valid decimal number.

Class wicket.markup.html.form.validation.IValidator.NullValidator extends java.lang.Object implements Serializable

Class wicket.markup.html.form.validation.LengthValidator extends StringValidator implements Serializable

Serialized Fields

checkMin

boolean checkMin
True if minimum bound should be checked.


checkMax

boolean checkMax
True if maximum bound should be checked.


min

int min
Lower bound on valid length.


max

int max
Upper bound on valid length.

Class wicket.markup.html.form.validation.PatternValidator extends StringValidator implements Serializable

Serialized Fields

pattern

java.util.regex.Pattern pattern
The regexp pattern.

Class wicket.markup.html.form.validation.RequiredValidator extends StringValidator implements Serializable

Class wicket.markup.html.form.validation.StringValidator extends AbstractValidator implements Serializable

Class wicket.markup.html.form.validation.TypeValidator extends StringValidator implements Serializable

Serialized Fields

locale

java.util.Locale locale
The locale to use


type

java.lang.Class type
The type to use for checking.


Package wicket.markup.html.image

Class wicket.markup.html.image.Image extends WebComponent implements Serializable

Serialized Fields

localizedImageResource

LocalizedImageResource localizedImageResource
The image resource this image component references


Package wicket.markup.html.image.resource

Class wicket.markup.html.image.resource.BufferedDynamicImageResource extends DynamicImageResource implements Serializable

Serialized Fields

imageData

byte[] imageData
The byte array holding the contents of the dynamic image

Class wicket.markup.html.image.resource.DefaultButtonImageResource extends RenderedDynamicImageResource implements Serializable

Serialized Fields

arcHeight

int arcHeight
The height of the arc in the corner


arcWidth

int arcWidth
The width of the arc in the corner


backgroundColor

java.awt.Color backgroundColor
The background color behind the button


color

java.awt.Color color
The color of the button itself


font

java.awt.Font font
The font to use


textColor

java.awt.Color textColor
The color of the text


label

java.lang.String label
The button label

Class wicket.markup.html.image.resource.DynamicImageResource extends WebResource implements Serializable

Serialized Fields

format

java.lang.String format
The image type


lastModifiedTime

Time lastModifiedTime
The time this image resource was last modified

Class wicket.markup.html.image.resource.LocalizedImageResource extends java.lang.Object implements Serializable

Serialized Fields

resourceKind

java.lang.Boolean resourceKind
What kind of resource it is. TRUE==Resource is set, FALSE==ResourceReference is set, null none


component

Component component
The component that is referencing this image resource


resource

Resource resource
The image resource this image component references


resourceReference

ResourceReference resourceReference
The resource reference

Class wicket.markup.html.image.resource.RenderedDynamicImageResource extends DynamicImageResource implements Serializable

Serialized Fields

height

int height
Height of image


type

int type
Type of image (one of BufferedImage.TYPE_*)


width

int width
Width of image


Package wicket.markup.html.link

Class wicket.markup.html.link.BookmarkablePageLink extends Link implements Serializable

Serialized Fields

pageClass

java.lang.Class pageClass
The page class that this link links to.


parameters

PageParameters parameters
The parameters to pass to the class constructor when instantiated.

Class wicket.markup.html.link.ExternalLink extends WebMarkupContainer implements Serializable

Serialized Fields

href

java.lang.String href
the href attribute.


label

java.lang.String label
this links' label.

Class wicket.markup.html.link.ImageMap extends WebMarkupContainer implements Serializable

Serialized Fields

shapeLinks

java.util.List shapeLinks
list of shape links.

Class wicket.markup.html.link.Link extends WebMarkupContainer implements Serializable

Serialized Fields

afterDisabledLink

java.lang.String afterDisabledLink
Simple insertion string to allow disabled links to look like Disabled link .


autoEnable

boolean autoEnable
True if link should automatically enable/disable based on current page.


beforeDisabledLink

java.lang.String beforeDisabledLink
Simple insertion string to allow disabled links to look like Disabled link .


enabled

boolean enabled
True if this link is enabled.


popupSettings

PopupSettings popupSettings
The popup specification. If not-null, a javascript on-click event handler will be generated that opens a new window using the popup properties.

Class wicket.markup.html.link.PageLink extends Link implements Serializable

Serialized Fields

pageLink

IPageLink pageLink
The delayed linking Page source.

Class wicket.markup.html.link.PopupCloseLink extends Link implements Serializable

Class wicket.markup.html.link.PopupSettings extends java.lang.Object implements Serializable

Serialized Fields

displayFlags

int displayFlags
Display flags


height

int height
Height of popup window.


left

int left
Left position of popup window.


target

java.lang.String target
The target to put in JavaScript. This implementation simply refers to the href element, but clients may want to override this (e.g. when the HTML element is not an anchor).


top

int top
Top position of popup window.


width

int width
Width of popup window.


windowName

java.lang.String windowName
The logical name of the window. This can be anything you want, although you should use alphanumeric characters only (no spaces or punctuation). If you have a window already open and call window.open a second time using the same windowName, the first window will be reused rather than opening a second window.

Class wicket.markup.html.link.ResourceLink extends Link implements Serializable

Serialized Fields

resourceReference

ResourceReference resourceReference
Resource reference


Package wicket.markup.html.list

Class wicket.markup.html.list.ListItem extends WebMarkupContainer implements Serializable

Serialized Fields

index

int index
The index of the ListItem in the parent ListView

Class wicket.markup.html.list.ListItemModel extends AbstractDetachableModel implements Serializable

Serialized Fields

listView

ListView listView
The ListView's list model


index

int index

Class wicket.markup.html.list.ListView extends WebMarkupContainer implements Serializable

Serialized Fields

firstIndex

int firstIndex
Index of the first item to show


optimizeItemRemoval

boolean optimizeItemRemoval
If true, re-rendering the list view is more efficient if the window doesn't get changed at all or if it gets scrolled (compared to paging). But if you modify the listView model object, than you must manually call listView.removeAll() in order to rebuild the ListItems.


viewSize

int viewSize
Max number (not index) of items to show

Class wicket.markup.html.list.Loop extends WebMarkupContainer implements Serializable

Class wicket.markup.html.list.Loop.LoopItem extends WebMarkupContainer implements Serializable

Serialized Fields

iteration

int iteration
The iteration number

Class wicket.markup.html.list.PageableListView extends ListView implements Serializable

Serialized Fields

currentPage

int currentPage
The page to show.


rowsPerPage

int rowsPerPage
Number of rows per page of the list view.

Class wicket.markup.html.list.PageableListViewNavigation extends Loop implements Serializable

Serialized Fields

pageableListView

PageableListView pageableListView
The PageableListView this navigation is navigating.


startIndex

int startIndex
Offset for the Loop


margin

int margin
Number of links on the left and/or right to keep the current page link somewhere near the middle.


separator

java.lang.String separator
Default separator between page numbers. Null: no separator.


viewSize

int viewSize
The maximum number of page links to show.

Class wicket.markup.html.list.PageableListViewNavigationIncrementLink extends PageLink implements Serializable

Serialized Fields

increment

int increment
The increment.


pageableListView

PageableListView pageableListView
The PageableListView the page links are referring to.

Class wicket.markup.html.list.PageableListViewNavigationLink extends PageLink implements Serializable

Serialized Fields

pageableListView

PageableListView pageableListView
The pageable list view.


pageNumber

int pageNumber
The page of the PageableListView this link is for.

Class wicket.markup.html.list.PageableListViewNavigator extends Panel implements Serializable

Serialized Fields

pageableListViewNavigation

PageableListViewNavigation pageableListViewNavigation
The navigation bar to be printed, e.g. 1 | 2 | 3 etc.


Package wicket.markup.html.pages

Class wicket.markup.html.pages.ExceptionErrorPage extends WebPage implements Serializable

Class wicket.markup.html.pages.InternalErrorPage extends WebPage implements Serializable

Class wicket.markup.html.pages.PageExpiredErrorPage extends WebPage implements Serializable

Class wicket.markup.html.pages.RedirectPage extends WebPage implements Serializable


Package wicket.markup.html.panel

Class wicket.markup.html.panel.FeedbackPanel extends Panel implements Serializable

Serialized Fields

messageListView

wicket.markup.html.panel.FeedbackPanel.MessageListView messageListView
Message view

Class wicket.markup.html.panel.Panel extends WebMarkupContainer implements Serializable


Package wicket.markup.html.tree

Class wicket.markup.html.tree.AbstractTree extends Panel implements Serializable

Serialized Fields

treeState

TreeState treeState
AbstractTree state for this component.

Class wicket.markup.html.tree.Tree extends AbstractTree implements Serializable

Serialized Fields

optimizeItemRemoval

boolean optimizeItemRemoval
If true, re-rendering the tree is more efficient if the tree model doesn't get changed. However, if this is true, you need to push changes to this tree. This can easility be done by registering this tree as the listener for tree model events (TreeModelListener), but you should be carefull not to create a memory leak by doing this (e.g. when you store the tree model in your session, the tree you registered cannot be GC-ed). TRUE by default.


treePathsModel

wicket.markup.html.tree.Tree.TreePathsModel treePathsModel
Model for the paths of the tree.


treePathsListView

wicket.markup.html.tree.Tree.TreePathsListView treePathsListView
List view for tree paths.

Class wicket.markup.html.tree.Tree.DefaultNodePanel extends Tree.NodePanel implements Serializable

Class wicket.markup.html.tree.Tree.NodePanel extends Panel implements Serializable

Class wicket.markup.html.tree.TreeState extends java.lang.Object implements Serializable

Serialized Fields

selectedPath

javax.swing.tree.TreePath selectedPath
currently selected path.


treeModel

javax.swing.tree.TreeModel treeModel
Model providing information.


treeSelectionModel

javax.swing.tree.TreeSelectionModel treeSelectionModel
Selection model.


rootVisible

boolean rootVisible
True if the root node is displayed, false if its children are the highest visible nodes.


root

wicket.markup.html.tree.TreeState.TreeStateNode root
Root node.


rowCount

int rowCount
Number of rows currently visible.


treePathMapping

java.util.Hashtable treePathMapping
Maps from TreePath to a TreeStateNode.


info

wicket.markup.html.tree.TreeState.SearchInfo info
Used for getting path/row information.


tempStacks

java.util.Stack tempStacks


Package wicket.markup.parser

Class wicket.markup.parser.XmlTag.Type extends EnumeratedType implements Serializable


Package wicket.model

Class wicket.model.AbstractDetachableModel extends java.lang.Object implements Serializable

Class wicket.model.AbstractModel extends java.lang.Object implements Serializable

Class wicket.model.AbstractPropertyModel extends AbstractDetachableModel implements Serializable

Serialized Fields

nestedModel

java.lang.Object nestedModel
Any model object (which may or may not implement IModel)

Class wicket.model.AbstractReadOnlyDetachableModel extends AbstractDetachableModel implements Serializable

Class wicket.model.BoundCompoundPropertyModel extends CompoundPropertyModel implements Serializable

Serialized Fields

bindings

java.util.ArrayList bindings
List of Bindings. Although a Map would be a more natural implementation here, a List is much more compact in terms of space. Although it may take longer to find a component binding in theory, in practice it's unlikely that any BoundCompoundPropertyModel will really have enough bindings to matter.

Class wicket.model.CompoundPropertyModel extends AbstractPropertyModel implements Serializable

Class wicket.model.LoadableDetachableModel extends AbstractDetachableModel implements Serializable

Class wicket.model.Model extends AbstractModel implements Serializable

Serialized Fields

object

java.io.Serializable object
Backing object.

Class wicket.model.PropertyModel extends AbstractPropertyModel implements Serializable

Serialized Fields

expression

java.lang.String expression
Ognl expression for property access.


propertyType

java.lang.Class propertyType
If this is set, this type is used for conversion instead of the type that is figured out by Ognl. This can be especially usefull for when you have a generic property (like Serializable myProp) that you want to be converted to a narrower type (e.g. an Integer). Ognl sees an incomming string being compatible with the target property, and will then bypass the converter. Hence, to force myProp being converted to and from and integer, propertyType should be set to Integer.

Class wicket.model.StringResourceModel extends AbstractReadOnlyDetachableModel implements Serializable

Serialized Fields

model

IModel model
The wrapped model.


parameters

java.lang.Object[] parameters
Optional parameters.


component

Component component
The relative component used for lookups.


resourceKey

java.lang.String resourceKey
The key of message to get.


Package wicket.protocol.http

Class wicket.protocol.http.MockHttpSession extends java.lang.Object implements Serializable

Serialized Fields

attributes

ValueMap attributes

context

javax.servlet.ServletContext context

creationTime

long creationTime

id

java.lang.String id

lastAccessedTime

long lastAccessedTime

Class wicket.protocol.http.WebSession extends Session implements Serializable

Class wicket.protocol.http.WicketServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

webApplication

WebApplication webApplication
The application this servlet is serving


Package wicket.util.collections

Class wicket.util.collections.MicroMap extends java.lang.Object implements Serializable

Serialized Fields

key

java.lang.Object key
The one and only key in this tiny map


value

java.lang.Object value
The value for the only key in this tiny map

Class wicket.util.collections.MiniMap extends java.lang.Object implements Serializable

Serialized Fields

keys

java.lang.Object[] keys
The array of keys. Keys that are null are not used.


values

java.lang.Object[] values
The array of values which correspond by index with the keys array.


size

int size
The number of valid entries


lastSearchIndex

int lastSearchIndex
The last search index. This makes putting and getting more efficient.

Class wicket.util.collections.MostRecentlyUsedMap extends java.util.LinkedHashMap implements Serializable

Serialized Fields

removedValue

java.lang.Object removedValue
Value most recently removed from map


maxEntries

int maxEntries
Maximum number of entries allowed in this map


Package wicket.util.convert

Class wicket.util.convert.ConversionException extends java.lang.RuntimeException implements Serializable

Serialized Fields

converter

IConverter converter
The converter that was used.


format

java.text.Format format
Pattern that was used for conversion.


locale

java.util.Locale locale
Locale that was used for conversion.


sourceValue

java.lang.Object sourceValue
The value that was tried to convert.


targetType

java.lang.Class targetType
Target type for the failed conversion.


typeConverter

ITypeConverter typeConverter
The type converter that was used

Class wicket.util.convert.Converter extends java.lang.Object implements Serializable

Serialized Fields

classToConverter

java.util.Map classToConverter
Maps Classes to ITypeConverters.


defaultConverter

IConverter defaultConverter
Converter that is to be used when no registered converter is found.


locale

java.util.Locale locale
The current locale.


Package wicket.util.convert.converters

Class wicket.util.convert.converters.AbstractConverter extends java.lang.Object implements Serializable

Class wicket.util.convert.converters.AbstractDecimalConverter extends AbstractNumberConverter implements Serializable

Class wicket.util.convert.converters.AbstractIntegerConverter extends AbstractNumberConverter implements Serializable

Class wicket.util.convert.converters.AbstractNumberConverter extends AbstractConverter implements Serializable

Class wicket.util.convert.converters.BooleanConverter extends AbstractConverter implements Serializable

Class wicket.util.convert.converters.ByteConverter extends AbstractIntegerConverter implements Serializable

Class wicket.util.convert.converters.CharacterConverter extends AbstractConverter implements Serializable

Class wicket.util.convert.converters.DateConverter extends AbstractConverter implements Serializable

Serialized Fields

dateFormats

java.util.Map dateFormats
The date format to use for the specific locales (used as the key)

Class wicket.util.convert.converters.DateToStringConverter extends AbstractConverter implements Serializable

Serialized Fields

dateFormats

java.util.Map dateFormats
The date format to use

Class wicket.util.convert.converters.DoubleConverter extends AbstractDecimalConverter implements Serializable

Class wicket.util.convert.converters.FloatConverter extends AbstractDecimalConverter implements Serializable

Class wicket.util.convert.converters.IntegerConverter extends AbstractIntegerConverter implements Serializable

Class wicket.util.convert.converters.LongConverter extends AbstractIntegerConverter implements Serializable

Class wicket.util.convert.converters.NumberToStringConverter extends AbstractConverter implements Serializable

Serialized Fields

numberFormats

java.util.Map numberFormats
The date format to use

Class wicket.util.convert.converters.ShortConverter extends AbstractIntegerConverter implements Serializable

Class wicket.util.convert.converters.StringConverter extends AbstractConverter implements Serializable

Serialized Fields

classToConverter

java.util.Map classToConverter
Maps value Classes to specific StringConverters.


defaultConverter

ITypeConverter defaultConverter
Converter that is to be used when no registered converter is found.


Package wicket.util.file

Class wicket.util.file.File extends java.io.File implements Serializable

Class wicket.util.file.Folder extends File implements Serializable


Package wicket.util.lang

Class wicket.util.lang.Bytes extends LongValue implements Serializable

Class wicket.util.lang.EnumeratedType extends StringValue implements Serializable


Package wicket.util.parse.metapattern

Class wicket.util.parse.metapattern.GroupAlreadyBoundException extends java.lang.RuntimeException implements Serializable

Class wicket.util.parse.metapattern.GroupNotBoundException extends java.lang.RuntimeException implements Serializable


Package wicket.util.resource

Class wicket.util.resource.AbstractResourceStream extends java.lang.Object implements Serializable

Serialized Fields

charset

java.nio.charset.Charset charset
Charset for resource

Class wicket.util.resource.AbstractStringResourceStream extends AbstractResourceStream implements Serializable

Serialized Fields

contentType

java.lang.String contentType
MIME content type


lastModified

Time lastModified
The last time this stylesheet was modified

Class wicket.util.resource.FileResourceStream extends AbstractResourceStream implements Serializable

Serialized Fields

file

File file
Any associated file

Class wicket.util.resource.ResourceStreamNotFoundException extends java.lang.Exception implements Serializable

Class wicket.util.resource.StringBufferResourceStream extends AbstractStringResourceStream implements Serializable

Serialized Fields

buffer

java.lang.StringBuffer buffer
Stylesheet information

Class wicket.util.resource.StringResourceStream extends AbstractStringResourceStream implements Serializable

Serialized Fields

string

java.lang.CharSequence string
The string resource

Class wicket.util.resource.UrlResourceStream extends AbstractResourceStream implements Serializable

Serialized Fields

url

java.net.URL url
The URL to this resource.


file

java.io.File file
the handle to the file if it is a file resource


contentLength

int contentLength
Length of stream.


contentType

java.lang.String contentType
Content type for stream.


lastModified

long lastModified
Last known time the stream was last modified.


Package wicket.util.string

Class wicket.util.string.AbstractStringList extends java.lang.Object implements Serializable

Class wicket.util.string.StringList extends AbstractStringList implements Serializable

Serialized Fields

strings

java.util.List strings

totalLength

int totalLength

Class wicket.util.string.StringValue extends java.lang.Object implements Serializable

Serialized Fields

locale

java.util.Locale locale
Locale to be used for formatting and parsing.


text

java.lang.String text
The underlying string.

Class wicket.util.string.StringValueConversionException extends java.lang.Exception implements Serializable


Package wicket.util.time

Class wicket.util.time.Duration extends wicket.util.time.AbstractTimeValue implements Serializable

Class wicket.util.time.Time extends wicket.util.time.AbstractTime implements Serializable

Class wicket.util.time.TimeOfDay extends wicket.util.time.AbstractTime implements Serializable

Class wicket.util.time.TimeOfDay.Meridian extends EnumeratedType implements Serializable


Package wicket.util.value

Class wicket.util.value.IntValue extends java.lang.Object implements Serializable

Serialized Fields

value

int value
The int value

Class wicket.util.value.LongValue extends java.lang.Object implements Serializable

Serialized Fields

value

long value
The long value

Class wicket.util.value.LowerCaseKeyValueMap extends ValueMap implements Serializable

Class wicket.util.value.ValueMap extends java.lang.Object implements Serializable

Serialized Fields

immutable

boolean immutable
True if this value map has been made immutable.


map

java.util.Map map
The underlying map.


Package wicket.version.undo

Class wicket.version.undo.Change extends java.lang.Object implements Serializable

Class wicket.version.undo.UndoPageVersionManager extends java.lang.Object implements Serializable

Serialized Fields

changeList

ChangeList changeList
The current list of changes


appliedChangeListForVersionNumber

java.util.Map appliedChangeListForVersionNumber
Holds the change list that was applied to a given version number. For example, the ChangeList that was /applied/ to version 0 would be stored under the key Integer(0).


page

Page page
The page being managed


versionNumber

int versionNumber
The current version number



Copyright © 2004-2005 Wicket developers. All Rights Reserved.